package exception;

/**
 * @author Daniel Weschke
 */
public class SingularException extends Exception {

	private static final long serialVersionUID = -5121014712549208662L;

	public SingularException() {
		super("This operation requires a non-singular matrix.");
	}

	public SingularException(String message) {
		super(message);
	}

}
